<?php
/**
 * Template Name: Custom Home Page
 */
get_header(); ?>

<main id="content">
  <?php if( get_option('education_insight_hide_show') == '1'){ ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
        <?php
          for ( $i = 1; $i <= 4; $i++ ) {
            $mod =  get_theme_mod( 'education_insight_post_setting' . $i );
            if ( 'page-none-selected' != $mod ) {
              $education_insight_slide_post[] = $mod;
            }
          }
           if( !empty($education_insight_slide_post) ) :
          $args = array(
            'post_type' =>array('post','page'),
            'post__in' => $education_insight_slide_post,
            'ignore_sticky_posts'  => true, // Exclude sticky posts by default
          );
          // Check if specific posts are selected
            if (empty($education_insight_slide_post) && is_sticky()) {
                $args['post__in'] = get_option('sticky_posts');
            }
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $i = 1;
        ?>
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <?php if(has_post_thumbnail()){ ?>
                  <img src="<?php the_post_thumbnail_url('full'); ?>"/>
                <?php }else { ?><div class="bg-color"></div> <?php } ?>
            <div class="carousel-caption slider-inner">
              <div class="inner_carousel">
                <h2><?php the_title();?></h2>
                <?php if( get_option('education_insight_slider_excerpt_show_hide',false) != 'off'){ ?>
                  <p class="slider-excerpt"><?php echo wp_trim_words(get_the_content(), get_theme_mod('education_insight_slider_excerpt_count',25) );?></p>
                <?php } ?>
                <div class="slider-btn mt-4 mt-md-5">
                  <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('nursery_kindergarten_slider_read_more',__('Learn More','nursery-kindergarten'))); ?></a>
                </div>
              </div>
            </div>
          </div>
          <?php $i++; endwhile;
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
        <div class="no-postfound"></div>
          <?php endif;
        endif;?>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-arrow-left"></i></span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-arrow-right"></i></span>
          </a>
      </div>
      <div class="clearfix"></div>
    </section>
  <?php }?>
  <?php if( get_option('education_insight_middle_sec_hide_show') == '1'){ ?>
    <section id="middle-sec" class="py-5">
      <div class="container">
        <?php if( get_theme_mod('education_insight_mid_section_heading','') != '' ){ ?>
          <h3><?php echo esc_html(get_theme_mod('education_insight_mid_section_heading','')); ?></h3>
        <?php }?>
        <div class="middle-sec-inner">
          <div class="row"> 
            <?php
              for ( $j = 1; $j <= 4; $j++ ) {
                $mod =  get_theme_mod( 'education_insight_middle_sec_settigs'.$j );
                if ( 'page-none-selected' != $mod ) {
                  $education_insight_post[] = $mod;
                }
              }
               if( !empty($education_insight_post) ) :
              $args = array(
                'post_type' =>array('post','page'),
                'post__in' => $education_insight_post,
                'ignore_sticky_posts'  => true,
              );
              // Check if specific posts are selected
              if (empty($education_insight_post) && is_sticky()) {
                  $args['post__in'] = get_option('sticky_posts');
              }
              $query = new WP_Query( $args );
              if ( $query->have_posts() ) :
                $j = 1;
            ?>
            <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
              <div class="col-lg-3 col-md-6 pl-lg-0 pl-md-0 wow swing" data-wow-duration="2s">
                <div class="<?php echo esc_html(('mid-inner-box').$j) ?> mb-3">
                  <?php if( get_theme_mod('education_insight_mid_section_icon'.$j) != '' ){ ?>
                    <i class="<?php echo esc_html(get_theme_mod('education_insight_mid_section_icon'.$j)); ?>"></i>
                  <?php }?>
                  <h4><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h4>
                  <p><?php echo wp_trim_words( get_the_content(),30 );?></p>
                </div>
              </div>
            <?php $j++; endwhile;
            wp_reset_postdata();?>
            <?php else : ?>
            <div class="no-postfound"></div>
              <?php endif;
            endif;?>
          </div>
        </div>
      </div>
    </section>
  <?php }?>
  <section id="custom-page-content" <?php if ( have_posts() && trim( get_the_content() ) !== '' ) echo 'class="pt-3"'; ?>>
    <div class="container">
      <?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
      <?php endwhile; ?>
    </div>
  </section>
</main>

<?php get_footer(); ?>